=== debian/control ===
Source: golang-prometheus-client
Section: devel
Priority: extra
Maintainer: Martín Ferrari <tincho@debian.org>
Build-Depends: debhelper (>= 9.0.0), dh-golang, golang-go,
 golang-goprotobuf-dev, golang-protobuf-extensions-dev, golang-procfs-dev
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/collab-maint/golang-prometheus-client.git/
Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/golang-prometheus-client.git/
Homepage: https://github.com/prometheus/client_golang.git

Package: golang-prometheus-client-dev
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Built-Using: ${misc:Built-Using}
Description: Prometheus instrumentation library for Go applications
 This is the Prometheus Go client library. It provides two main functions:
 .
 * The exposition library is used to export metrics to a Prometheus server or
   pushgateway.
 .
 * The consumption library is used to process metrics exported by a Prometheus
   client. (The Prometheus server is using that library.)
