## golang-prometheus-client 0.6.0+ds

=== debian/changelog ===
golang-prometheus-client (0.6.0+ds-1) unstable; urgency=medium

  * New upstream release, which includes an incompatible change in metric
    fingerprints, so invalidates all past storage. This is not a problem yet,
    because prometheus is still not uploaded to Debian.
  * debian/patches: Refresh, remove unneeded patch.
  * Upstream now vendors all dependencies: remove the ones already in Debian.
  * New patch: Fix import path for remaining vendored dependencies.
  * Update watchfile for repackaging mangle.
  * Add missing binary dependencies.
  * Reduce the length of the vendored dependencies import names.
  * Fix bug in which the compiled protocol buffer was not found by code using
    this package.

 -- Martín Ferrari <tincho@debian.org>  Mon, 29 Jun 2015 16:19:04 +0000
