=== debian/control ===
--- 
+++ 
@@ -3,7 +3,9 @@
 Priority: extra
 Maintainer: Martín Ferrari <tincho@debian.org>
 Build-Depends: debhelper (>= 9.0.0), dh-golang, golang-go,
- golang-goprotobuf-dev, golang-protobuf-extensions-dev, golang-procfs-dev
+ golang-goprotobuf-dev (>= 0.0~git20150526),
+ golang-protobuf-extensions-dev (>= 0+git20150225),
+ golang-procfs-dev
 Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/collab-maint/golang-prometheus-client.git/
 Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/golang-prometheus-client.git/
@@ -11,7 +13,8 @@
 
 Package: golang-prometheus-client-dev
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, golang-goprotobuf-dev,
+ golang-protobuf-extensions-dev (>= 0+git20150225), golang-procfs-dev
 Built-Using: ${misc:Built-Using}
 Description: Prometheus instrumentation library for Go applications
  This is the Prometheus Go client library. It provides two main functions:
