=== debian/changelog ===
golang-prometheus-client (0.7.0+ds-3) unstable; urgency=medium

  * Add -common as new dependency, remove the private copy of the model
    protobuf.
  * Skip another flaky test.

 -- Martín Ferrari <tincho@debian.org>  Mon, 11 Jan 2016 19:13:47 +0000

golang-prometheus-client (0.7.0+ds-2) unstable; urgency=medium

  * Disable flaky TestSummaryDecay test. Closes: #796421.

 -- Martín Ferrari <tincho@debian.org>  Sat, 22 Aug 2015 09:41:21 +0000

golang-prometheus-client (0.7.0+ds-1) unstable; urgency=medium

  * debian/control: Migration to pkg-go team.
  * Add missing test data.
  * New upstream version.

 -- Martín Ferrari <tincho@debian.org>  Sat, 22 Aug 2015 00:10:11 +0200
